Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 682486

Summary: app-doc/doxygen-1.8.15 Version bump request
Product: Gentoo Linux Reporter: Sven Eden <yamakuzure>
Component: Current packagesAssignee: Matthias Maier <tamiko>
Status: RESOLVED FIXED    
Severity: major    
Priority: Normal    
Version: unspecified   
Hardware: All   
OS: Linux   
URL: http://doxygen.nl/changelog.html
Whiteboard:
Package list:
Runtime testing required: ---
Attachments: doxygen-1.8.15 version bump
New link_with_pthread.patch
New llvm7.patch

Description Sven Eden 2019-04-04 05:18:52 UTC
doxygen-1.8.15 was released on 2017-12-27 and contains important bug fixes.

One of those fixes is the PHP markdown extra parsing of simple tables, which I use in the documentation of my projects.

Patches for the ebuild and the two patches that don't apply are included.

There seems to be a problem with parallel building, though.
Like described in bug #681182 I had a .cfg file missing, but continuing the merge via ebuild command worked without any further issues.
Comment 1 Sven Eden 2019-04-04 05:21:33 UTC
Created attachment 571788 [details, diff]
doxygen-1.8.15 version bump

Two patches and SRC_URI have changed.
Comment 2 Sven Eden 2019-04-04 05:23:20 UTC
Created attachment 571790 [details, diff]
New link_with_pthread.patch

doxygen-1.8.12-link_with_pthread.patch didn't apply, here is a new one.
Comment 3 Sven Eden 2019-04-04 05:24:14 UTC
Created attachment 571792 [details, diff]
New llvm7.patch

doxygen-1.8.14-llvm7.patch didn't apply, here is a new one.
Comment 4 Sven Eden 2019-04-04 05:24:45 UTC
Tested with cmake-3.14.0 and gcc-8.3.0
Comment 5 Larry the Git Cow gentoo-dev 2019-06-30 18:44:50 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6e116e8341410a10ba4de4e147649b45d4af204a

commit 6e116e8341410a10ba4de4e147649b45d4af204a
Author:     Matthias Maier <tamiko@gentoo.org>
AuthorDate: 2019-06-30 18:37:17 +0000
Commit:     Matthias Maier <tamiko@gentoo.org>
CommitDate: 2019-06-30 18:44:39 +0000

    app-doc/doxygen: version bump to 1.8.15
    
    Thanks to Sven Eden for patches!
    
    Closes: https://bugs.gentoo.org/682486
    Package-Manager: Portage-2.3.67, Repoman-2.3.16
    Signed-off-by: Matthias Maier <tamiko@gentoo.org>

 app-doc/doxygen/Manifest                           |   1 +
 app-doc/doxygen/doxygen-1.8.15.ebuild              | 134 +++++++++++++++++++++
 .../files/doxygen-1.8.15-link_with_pthread.patch   |  32 +++++
 app-doc/doxygen/files/doxygen-1.8.15-llvm7.patch   |  11 ++
 4 files changed, 178 insertions(+)